<?php

class Currency
{
    const USD = 1;
    const EUR = 2;
    const GBP = 3;
    const CAD = 4;
    const HKD = 5;
    const ISK = 6;
    const PHP = 7;
    const DKK = 8;
    const HUF = 9;
    const CZK = 10;
    const AUD = 11;
    const RON = 12;
    const SEK = 13;
    const IDR = 14;
    const INR = 15;
    const BRL = 16;
    const RUB = 17;
    const HRK = 18;
    const JPY = 19;
    const THB = 20;
    const CHF = 21;
    const SGD = 22;
    const PLN = 23;
    const BGN = 24;
    const TRY = 25;
    const CNY = 26;
    const NOK = 27;
    const NZD = 28;
    const ZAR = 29;
    const MXN = 30;
    const ILS = 31;
    const KRW = 32;
    const MYR = 33;
    const FJD = 34;
    const STD = 35;
    const LVL = 36;
    const SCR = 37;
    const CDF = 38;
    const BBD = 39;
    const GTQ = 40;
    const CLP = 41;
    const HNL = 42;
    const UGX = 43;
    const TND = 44;
    const CUC = 45;
    const BSD = 46;
    const SLL = 47;
    const SDG = 48;
    const IQD = 49;
    const CUP = 50;
    const GMD = 51;
    const TWD = 52;
    const RSD = 53;
    const DOP = 54;
    const KMF = 55;
    const BCH = 56;
    const FKP = 57;
    const XOF = 58;
    const GEL = 59;
    const BTC = 60;
    const UYU = 61;
    const MAD = 62;
    const CVE = 63;
    const TOP = 64;
    const AZN = 65;
    const OMR = 66;
    const PGK = 67;
    const KES = 68;
    const BTN = 69;
    const UAH = 70;
    const GNF = 71;
    const ERN = 72;
    const MZN = 73;
    const SVC = 74;
    const ARS = 75;
    const QAR = 76;
    const IRR = 77;
    const MRO = 78;
    const XPD = 79;
    const UZS = 80;
    const XPF = 81;
    const MRU = 82;
    const BDT = 83;
    const LYD = 84;
    const BMD = 85;
    const KWD = 86;
    const XPT = 87;
    const PYG = 88;
    const JMD = 89;
    const COP = 90;
    const MKD = 91;
    const DZD = 92;
    const PAB = 93;
    const GGP = 94;
    const ETB = 95;
    const JEP = 96;
    const ETC = 97;
    const KGS = 98;
    const SOS = 99;
    const VEF = 100;
    const VUV = 101;
    const LAK = 102;
    const ETH = 103;
    const BND = 104;
    const ZEC = 105;
    const ZMK = 106;
    const XAF = 107;
    const LRD = 108;
    const XAG = 109;
    const ALL = 110;
    const DJF = 111;
    const VES = 112;
    const ZMW = 113;
    const TZS = 114;
    const VND = 115;
    const XAU = 116;
    const DASH = 117;
    const GHS = 118;
    const GYD = 119;
    const KPW = 120;
    const BOB = 121;
    const KHR = 122;
    const MDL = 123;
    const KYD = 124;
    const XRP = 125;
    const AMD = 126;
    const BWP = 127;
    const SHP = 128;
    const LBP = 129;
    const TJS = 130;
    const JOD = 131;
    const AED = 132;
    const RWF = 133;
    const LSL = 134;
    const MMK = 135;
    const MUR = 136;
    const SYP = 137;
    const IMP = 138;
    const GIP = 139;
    const LKR = 140;
    const NGN = 141;
    const CRC = 142;
    const PKR = 143;
    const XCD = 144;
    const ANG = 145;
    const HTG = 146;
    const LTC = 147;
    const BHD = 148;
    const KZT = 149;
    const SRD = 150;
    const SZL = 151;
    const LTL = 152;
    const SAR = 153;
    const TTD = 154;
    const YER = 155;
    const MVR = 156;
    const AFN = 157;
    const AWG = 158;
    const NPR = 159;
    const MNT = 160;
    const AOA = 161;
    const SBD = 162;
    const BYN = 163;
    const XLM = 164;
    const BYR = 165;
    const BIF = 166;
    const MWK = 167;
    const MGA = 168;
    const XDR = 169;
    const EOS = 170;
    const BZD = 171;
    const BAM = 172;
    const EGP = 173;
    const MOP = 174;
    const NAD = 175;
    const NIO = 176;
    const PEN = 177;
    const WST = 178;
    const TMT = 179;

    const currencyList = [
        "$" => "USD",
        "€" => "EUR",
        "£" => "GBP",
        "C" => "CAD" ,
        "hk$" => "HKD" ,
        "kr" => "ISK" ,
        "₱" => "PHP" ,
        "Ft" => "HUF" ,
        "Kč" => "CZK",
        "A$" => "AUD",
        "L" => "RON",
        "Kr" => "SEK",
        "Rp" => "IDR",
        "₹" => "INR",
        "R$"=> "BRL",
        "₽"=> "RUB",
        "kn"=> "HRK",
        "¥"=> "JPY",
        "฿"=> "THB",
        "Fr"=> "CHF",
        "S"=> "SGD",
        "zł"=> "PLN",
        "Лв"=> "BGN",
        "₺" => "TRY",
        "R"=> "ZAR",
        "Mex$"=> "MXN",
        "₪"=> "ILS",
        "₩"=> "KRW",
        "RM"=> "MYR",
        "FJ$"=> "FJD",
        "Db"=> "STD",
        "LVL"=> "LVL",
        "SRe"=> "SCR",
        "FC"=> "CDF",
        "Bds$"=> "BBD",
        "Q" => "GTQ",
        "USh" => "UGX",
        "DT" => "TND",
        "CUC$" => "CUC",
        "B$" => "BSD",
        "Le"=> "SLL",
        "ج.س." => "SDG",
        "ع.د" => "IQD",
        "D"=> "GMD",
        "NT$"=> "TWD",
        "din"=> "RSD",
        "RD$"=> "DOP",
        "CF"=> "KMF",
        "BCH"=> "BCH",
        "CFA" => "XOF",
        "ლ"=> "GEL",
        "DH" => "MAD",
        "Esc" => "CVE",
        "TOP" => "TOP",
        "₼" => "AZN",
        "ر.ع. " => "OMR",
        "K"=> "PGK",
        "Ksh"=> "KES",
        "Nu"=> "BTN",
        "₴" => "UAH",
        "GFr" => "GNF",
        "ናቕፋ"=> "ERN",
        "MT" => "MZN",
        " ر.ق" => "QAR",
        "MRU" => "MRO",
        "XPD"=> "XPD",
        "so\'m" => "UZS",
        "₣" => "XPF",
        "৳" => "BDT",
        "ل.د" => "LYD",
        "د.ك " => "KWD",
        "XPT" => "XPT",
        "₲"=> "PYG",
        "Ден" => "MKD",
        "دج" => "DZD",
        "B/." => "PAB",
        "ብር"=> "ETB",
        "ETC" => "ETC",
        "so"=> "SOS",
        "Bs" => "VEF",
        "VT" => "VUV",
        "₭N" => "LAK",
        "Ξ" => "ETH",
        "ZEC"=> "ZEC",
        "ZK" => "ZMK",
        "FCFA" => "XAF",
        "L$" => "LRD",
        "XAG" => "XAG",
        "Fdj" => "DJF",
        "Bs.F." => "VES",
        "TSh" => "TZS",
        "₫" => "VND",
        "XAU" => "XAU",
        "DASH" => "DASH",
        "GH₵"=> "GHS",
        "GY$"=> "GYD",
        "Bs៛."=> "BOB",
        "៛" => "KHR",
        "XRP" => "XRP",
        "֏" => "AMD",
        "P" => "BWP",
        "ل.ل." => "LBP",
        "ЅM"=> "TJS",
        "د.ا" => "JOD",
        " د.إ" => "AED",
        "R₣" => "RWF",
        "₨ " => "MUR",
        "£S" => "SYP",
        "IMP" => "IMP",
        "ரூ" => "LKR",
        "₦" => "NGN",
        "₡" => "CRC",
        "₨" => "PKR",
        "NAƒ" => "ANG",
        "G" => "HTG",
        "Ł" => "LTC",
        ".د.ب" => "BHD",
        "₸" => "KZT",
        "E" => "SZL",
        "LTL" => "LTL",
        "TT$" => "TTD",
        " .ރ" => "MVR",
        "؋" => "AFN",
        "ƒ" => "AWG",
        "रू" => "NPR",
        "₮" => "MNT",
        "Kz" => "AOA",
        "Si$" => "SBD",
        "Br" => "BYN",
        "XLM" => "XLM",
        "BYN" => "BYR",
        "FBu"=> "BIF",
        "MK"=> "MWK",
        "Ar"=> "MGA",
        "SDR"=> "XDR",
        "EOS"=> "EOS",
        "KM"=> "BAM",
        "E£" => "EGP",
        "MOP$" => "MOP",
        "N$" => "NAD",
        "C$" => "NIO",
        'S/' => "PEN",
        "WS$" => "WST",
        "T" => "TMT",
    ];

    public static function getSymbol()
    {

        return [
            self::USD => "$",
            self::EUR => "€",
            self::GBP => "£",
            self::CAD => "C",
            self::HKD => "hk$",
            self::ISK => "kr",
            self::PHP => "₱",
            self::HUF => "Ft",
            self::CZK => "Kč",
            self::AUD => "A$",
            self::RON => "L",
            self::SEK => "Kr",
            self::IDR => "Rp",
            self::INR => "₹",
            self::BRL => "R$",
            self::RUB => "₽",
            self::HRK => "kn",
            self::JPY => "¥",
            self::THB => "฿",
            self::CHF => "Fr",
            self::SGD => "S",
            self::PLN => "zł",
            self::BGN => "Лв",
            self::TRY => "₺",
            self::ZAR => "R",
            self::MXN => "Mex$",
            self::ILS => "₪",
            self::KRW => "₩",
            self::MYR => "RM",
            self::FJD => "FJ$",
            self::STD => "Db",
            self::LVL => "LVL",
            self::SCR => "SRe",
            self::CDF => "FC",
            self::BBD => "Bds$",
            self::GTQ => "Q",
            self::UGX => "USh",
            self::TND => "DT",
            self::CUC => "CUC$",
            self::BSD => "B$",
            self::SLL => "Le",
            self::SDG => "ج.س.",
            self::IQD => "ع.د",
            self::GMD => "D",
            self::TWD => "NT$",
            self::RSD => "din",
            self::DOP => "RD$",
            self::KMF => "CF",
            self::BCH => "BCH",
            self::XOF => "CFA",
            self::GEL => "ლ",
            self::MAD => "DH",
            self::CVE => "Esc",
            self::TOP => "TOP",
            self::AZN => "₼",
            self::OMR => "ر.ع. ",
            self::PGK => "K",
            self::KES => "Ksh",
            self::BTN => "Nu",
            self::UAH => "₴",
            self::GNF => "GFr",
            self::ERN => "ናቕፋ",
            self::MZN => "MT",
            self::QAR => " ر.ق",
            self::MRO => "MRU",
            self::XPD => "XPD",
            self::UZS => "so\'m",
            self::XPF => "₣",
            self::BDT => "৳",
            self::LYD => "ل.د",
            self::KWD => "د.ك",
            self::XPT => "XPT",
            self::PYG => "₲",
            self::MKD => "Ден",
            self::DZD => "دج",
            self::PAB => "B/.",
            self::ETB => "ብር",
            self::ETC => "ETC",
            self::SOS => "so",
            self::VEF => "Bs",
            self::VUV => "VT",
            self::LAK => "₭N",
            self::ETH => "Ξ",
            self::ZEC => "ZEC",
            self::ZMK => "ZK",
            self::XAF => "FCFA",
            self::LRD => "L$",
            self::XAG => "XAG",
            self::DJF => "Fdj",
            self::VES => "Bs.F.",
            self::TZS => "TSh",
            self::VND => "₫",
            self::XAU => "XAU",
            self::DASH => "DASH",
            self::GHS => "GH₵",
            self::GYD => "GY$",
            self::BOB => "Bs៛.",
            self::KHR => "៛",
            self::XRP => "XRP",
            self::AMD => "֏",
            self::BWP => "P",
            self::LBP => "ل.ل.",
            self::TJS => "ЅM",
            self::JOD => "د.ا",
            self::AED => " د.إ",
            self::RWF => "R₣",
            self::MUR => "₨ ",
            self::SYP => "£S",
            self::IMP => "IMP",
            self::LKR => "ரூ",
            self::NGN => "₦",
            self::CRC => "₡",
            self::PKR => "₨",
            self::ANG => "NAƒ",
            self::HTG => "G",
            self::LTC => "Ł",
            self::BHD => ".د.ب",
            self::KZT => "₸",
            self::SZL => "E",
            self::LTL => "LTL",
            self::TTD => "TT$",
            self::MVR => " .ރ",
            self::AFN => "؋",
            self::AWG => "ƒ",
            self::NPR => "रू",
            self::MNT => "₮",
            self::AOA => "Kz",
            self::SBD => "Si$",
            self::BYN => "Br",
            self::XLM => "XLM",
            self::BYR => "BYN",
            self::BIF => "FBu",
            self::MWK => "MK",
            self::MGA => "Ar",
            self::XDR => "SDR",
            self::EOS => "EOS",
            self::BAM => "KM",
            self::EGP => "E£",
            self::MOP => "MOP$",
            self::NAD => "N$",
            self::NIO => "C$",
            self::PEN => "S/",
            self::WST => "WS$",
            self::TMT => "T",
        ];
    }


    public static function getCurrency($currency)
    {
        return self::currencyList[$currency];
    }

}
